<div class="grid" [gdColumns]="gridColumns" gdRows="auto" gdGap="16px" gdAlignColumns="center start">
  <mat-card>
    <mat-toolbar color="primary" fxLayout="row" fxLayoutGap="16px">
      <mat-icon>perm_media</mat-icon>
      <span class="toolbar-title">Images</span>
    </mat-toolbar>
    <mat-card-content class="without-padding">
      <mat-action-list>
        <button mat-list-item (click)="open(dialogs.unusedImages)">
          <mat-icon mat-list-icon color="warn">delete</mat-icon>
          <span mat-line>Clear unused images</span>
        </button>
        <button mat-list-item (click)="open(dialogs.imagesProcessing)">
          <mat-icon mat-list-icon>memory</mat-icon>
          <span mat-line>Images processing</span>
        </button>
        <button mat-list-item (click)="open(dialogs.imagesSize)">
          <mat-icon mat-list-icon>fitness_center</mat-icon>
          <span mat-line>Images size</span>
        </button>
      </mat-action-list>
    </mat-card-content>
  </mat-card>
  <mat-card>
    <mat-toolbar color="primary" fxLayout="row" fxLayoutGap="16px">
      <mat-icon>api</mat-icon>
      <span class="toolbar-title">System</span>
    </mat-toolbar>
    <mat-card-content>
      <form [formGroup]="systemInfosForm" (ngSubmit)="updateSystemInfos()" *ngIf="systemInfosForm" fxLayout="column" fxLayoutGap="16px">
        <mat-form-field appearance="outline">
          <mat-label>Status</mat-label>
          <mat-select formControlName="status">
            <mat-option *ngFor="let option of systemInfosStatusOptions" [value]="option.value">
              {{ option.label }}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Estimated duration</mat-label>
          <input type="number" matInput formControlName="estimatedDuration">
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Start date</mat-label>
          <input type="datetime-local" matInput formControlName="startDate">
        </mat-form-field>
        <button mat-raised-button type="submit" color="accent">Update</button>
      </form>
    </mat-card-content>
  </mat-card>
</div>
